import { OffsetRange } from './offsetRange.js';
import { Position } from './position.js';
import { Range } from './range.js';
import { TextLength } from './textLength.js';

declare class PositionOffsetTransformer {
    readonly text: string;
    private readonly lineStartOffsetByLineIdx;
    private readonly lineEndOffsetByLineIdx;
    constructor(text: string);
    getOffset(position: Position): number;
    getOffsetRange(range: Range): OffsetRange;
    getPosition(offset: number): Position;
    getRange(offsetRange: OffsetRange): Range;
    getTextLength(offsetRange: OffsetRange): TextLength;
    get textLength(): TextLength;
    getLineLength(lineNumber: number): number;
}

export { PositionOffsetTransformer };
