import { __decorate, __param } from '../../../../../../../external/tslib/tslib.es6.js';
import { Disposable } from '../../../../base/common/lifecycle.js';
import { IContextMenuService } from '../../../../platform/contextview/browser/contextView.service.js';
import { ILayoutService } from '../../../../platform/layout/browser/layoutService.service.js';
import { Registry } from '../../../../platform/registry/common/platform.js';
import { Extensions } from '../../../common/contributions.js';

let ContextMenuContribution = class ContextMenuContribution extends Disposable {
    constructor(layoutService, contextMenuService) {
        super();
        const update = (visible) => layoutService.activeContainer.classList.toggle('context-menu-visible', visible);
        this._register(contextMenuService.onDidShowContextMenu(() => update(true)));
        this._register(contextMenuService.onDidHideContextMenu(() => update(false)));
    }
};
ContextMenuContribution = ( __decorate([
    ( __param(0, ILayoutService)),
    ( __param(1, IContextMenuService))
], ContextMenuContribution));
( Registry.as(Extensions.Workbench))
    .registerWorkbenchContribution(ContextMenuContribution, 4 );
